
void stats() {
  write_comment();
  write_int(pool_idx);
  printf(" characters in string pool");
  writeln();
  hash_stats();
  write_comment();
  write_int(function_idx);
  printf(" functions defined");
  writeln();
  write_comment();
  write_int(procedure_idx);
  printf(" procedures defined");
  writeln();
  return;
}

void cleanup() {
  display_errors();
//display_sorted_vector(
//  0, top_level_variable_idx,
//  top_level_variable_name, sorted_top_level_variable);
  stats();
  exit(0);
  return;
}
